Skip to content

resolveSupplierPrice

WRITE

Resolve the supplier unit price for a quantity.

POST /api/v1/shared/resolveSupplierPrice
curl -X POST '<your-host>/api/v1/shared/resolveSupplierPrice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "priceBreaks": [],
    "quantity": 0,
    "fallbackUnitPrice": 0,
    "exchangeRate": 0
  }'
Response
0

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "priceBreaks": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "quantity": {
            "type": "number"
          },
          "unitPrice": {
            "type": "number"
          }
        },
        "required": [
          "quantity",
          "unitPrice"
        ]
      }
    },
    "quantity": {
      "type": "number"
    },
    "fallbackUnitPrice": {
      "type": "number"
    },
    "exchangeRate": {
      "type": "number"
    }
  },
  "required": [
    "priceBreaks",
    "quantity",
    "fallbackUnitPrice",
    "exchangeRate"
  ]
}